Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Interface ComputeResourceAdmin

All Known Subinterfaces:
  CybernodeAdmin

    public interface ComputeResourceAdmin

The ComputeResourceAdmin provides an administrative interface for a ComputeResource

Method Summary
`ComputeResourceUtilization` | `getComputeResourceUtilization()` Get the `ComputeResourceUtilization` for the compute resource
`MeasuredResource[]` | `getMeasuredResources()` Get the MeasuredResource components for the ComputeResource
`PlatformCapability[]` | `getPlatformCapabilties()` Get the PlatformCapability components for the ComputeResource
`SLA[]` | `getSLAs()` Get the system SLAs which provide control information for the MeasurableCapability components the ComputeResource contains
`double` | `getUtilization()` Get the resource's utilization.
`boolean` | `setSLA(SLA serviceLevelAgreement)` Set the SLA for a MeasurableCapability contained within the ComputeResource

Method Detail

### setSLA

    boolean setSLA(SLA serviceLevelAgreement)
                   throws RemoteException

  Set the SLA for a MeasurableCapability contained within the ComputeResource

  Parameters:
    `serviceLevelAgreement` - The SLA for the ComputeResource
  Returns:
    True if updated, false otherwise
  Throws:
    `RemoteException` - If communication errors occur

### getSLAs

    SLA[] getSLAs()
                  throws RemoteException

  Get the system SLAs which provide control information for the MeasurableCapability components the ComputeResource contains

  Returns:
    The system SLA for each MeasurableCapability contained within the ComputeResource
  Throws:
    `RemoteException` - If communication errors occur

### getPlatformCapabilties

    PlatformCapability[] getPlatformCapabilties()
                                                throws RemoteException

  Get the PlatformCapability components for the ComputeResource

  Returns:
    The PlatformCapability components for the ComputeResource
  Throws:
    `RemoteException` - If communication errors occur

### getMeasuredResources

    MeasuredResource[] getMeasuredResources()
                                            throws RemoteException

  Get the MeasuredResource components for the ComputeResource

  Returns:
    Array of MeasuredResource instances that correspond to MeasurableCapability components
  Throws:
    `RemoteException` - If communication errors occur

### getUtilization

    double getUtilization()
                          throws RemoteException

  Get the resource's utilization. ComputeResource quantitative behavior is represented by MeasurableCapability objects. MeasurableCapability objects produce a relative value which represents the percentage of the capability being measured. This value is referred to as a MeasurableCapability utilization. This method returns the aggregate of all computed utilizations

  Returns:
    The ComputeResource's utilization
  Throws:
    `RemoteException` - If communication errors occur

### getComputeResourceUtilization

    ComputeResourceUtilization getComputeResourceUtilization()
                                                             throws RemoteException

  Get the `ComputeResourceUtilization` for the compute resource

  Returns:
    The ComputeResourceUtilization for the compute resource. This obkect represents a snapshot of the depletion-oriented resources on the compute resource. A new ComputeResourceUtilization is created each time this method is invoked
  Throws:
    `RemoteException` - If communication errors occur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.